{
  "name": "todobackend-nodejs-express",
  "version": "3.0.0",
  "description": "Todobackend project",
  "source": "src/app.ts",
  "main": "dist/app.js",
  "targets": {
    "main": {
      "sourceMap": false
    }
  },
  "engines": {
    "node": ">= 12"
  },
  "scripts": {
    "check": "tsc --noEmit",
    "build": "npm run check && parcel build",
    "watch": " parcel watch",
    "start": "npm run build && nodemon & npm run watch",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --collectCoverage",
    "lint": "eslint . --ext .ts --fix",
    "format": "prettier --config .prettierrc 'src/**/*.ts' --write"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/benjamin.durand/todobackend-nodejs-express.git"
  },
  "author": "benjamin.durand@carbon-it.com",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/benjamin.durand/todobackend-nodejs-express/issues"
  },
  "homepage": "https://gitlab.com/benjamin.durand/todobackend-nodejs-express#readme",
  "dependencies": {
    "awilix": "^5.0.1",
    "class-transformer": "^0.4.0",
    "class-validator": "^0.13.1",
    "dotenv": "^10.0.0",
    "express": "^4.17.1",
    "reflect-metadata": "^0.1.13",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@parcel/transformer-typescript-tsc": "^2.0.1",
    "@types/express": "^4.17.13",
    "@types/glob": "^7.2.0",
    "@types/jest": "^27.0.2",
    "@types/node": "^16.10.1",
    "@types/supertest": "^2.0.11",
    "@types/uuid": "^8.3.3",
    "@typescript-eslint/eslint-plugin": "^4.31.2",
    "@typescript-eslint/parser": "^4.31.2",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "^27.2.4",
    "nodemon": "^2.0.13",
    "parcel": "^2.0.1",
    "prettier": "^2.4.1",
    "supertest": "^6.1.6",
    "ts-jest": "^27.0.5",
    "typescript": "^4.4.3"
  },
  "jest": {
    "clearMocks": true,
    "collectCoverage": false,
    "coverageDirectory": "../coverage",
    "coverageProvider": "v8",
    "moduleFileExtensions": [
      "js",
      "ts"
    ],
    "moduleNameMapper": {
      "^~/src/config$": "<rootDir>/config/",
      "^~/src/entities$": "<rootDir>/entities/",
      "^~/src/application$": "<rootDir>/application/",
      "^~/src/controllers$": "<rootDir>/controllers/",
      "^~/src/infrastructure/(.*)$": "<rootDir>/infrastructure/$1"
    },
    "rootDir": "src",
    "testEnvironment": "node",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(ts)$": "ts-jest"
    },
    "slowTestThreshold": 5,
    "maxWorkers": 4,
    "setupFiles": [
      "../jest-setup.ts"
    ]
  }
}
